| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
FlatView::Appearance Class Reference
General

Flatviewer appearance. More...

`#include <flatview.h>`

Inheritance diagram for FlatView::Appearance:
[legend]

## Public Member Functions
| Appearance (bool drkbg=true)
virtual | ~Appearance ()
bool | darkBG () const
virtual void | fillPar (IOPar &) const
void | setDarkBG (bool yn)
void | setGeoDefaults (bool isvert)
virtual void | usePar (const IOPar &)

## Public Attributes
float | anglewithset1_ = 0.f
Annotation | annot_ = true
DataDispPars | ddpars_
Annotation | secondsetaxes_ = Annotation(true)

## Protected Attributes
bool | darkbg_ = true

## Detailed Description

Flatviewer appearance.

<>

## Constructor & Destructor Documentation

## ◆ Appearance()

FlatView::Appearance::Appearance | ( | bool | drkbg = true | ) |

## ◆ ~Appearance()

virtual FlatView::Appearance::~Appearance | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ darkBG()

bool FlatView::Appearance::darkBG | ( |  | ) | const
| inline

## ◆ fillPar()

virtual void FlatView::Appearance::fillPar | ( | IOPar & |  | ) | const
| virtual

## ◆ setDarkBG()

void FlatView::Appearance::setDarkBG | ( | bool | yn | ) |

## ◆ setGeoDefaults()

void FlatView::Appearance::setGeoDefaults | ( | bool | isvert | ) |

## ◆ usePar()

virtual void FlatView::Appearance::usePar | ( | const IOPar & |  | ) |
| virtual

## Member Data Documentation

## ◆ anglewithset1_

float FlatView::Appearance::anglewithset1_ = 0.f

## ◆ annot_

Annotation FlatView::Appearance::annot_ = true

## ◆ darkbg_

bool FlatView::Appearance::darkbg_ = true
| protected

Two styles: dark (=black) and lite (=white) background Impacts a lot of display choices

## ◆ ddpars_

DataDispPars FlatView::Appearance::ddpars_

## ◆ secondsetaxes_

Annotation FlatView::Appearance::secondsetaxes_ = Annotation(true)

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025